Skip to main content
PATCH
/
v1
/
businesses
/
{businessId}
/
bills
/
refunds
/
{refundId}
Patch vendor refund
curl --request PATCH \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/bills/refunds/{refundId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "<string>",
  "completed_at": "2023-11-07T05:31:56Z",
  "allocations": [
    {
      "total_amount": 123,
      "line_items": [
        {
          "amount": 123,
          "account_identifier": {
            "type": "AccountId",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "external_id": "<string>",
          "prepayment_account_identifier": {
            "type": "AccountId",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "tags": [
            {
              "key": "department",
              "value": "sales",
              "dimension_display_name": "Department",
              "value_display_name": "Sales Department"
            }
          ],
          "memo": "<string>",
          "metadata": {
            "custom_field": "value",
            "any valid json": "below 1kb",
            "nested": {
              "meaning of life": 42,
              "array": []
            }
          },
          "reference_number": "<string>"
        }
      ],
      "external_id": "<string>",
      "bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "bill_external_id": "<string>",
      "bill_line_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "bill_line_item_external_id": "<string>",
      "bill_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "bill_payment_external_id": "<string>",
      "vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "vendor_external_id": "<string>",
      "tags": [
        {
          "key": "department",
          "value": "sales",
          "dimension_display_name": "Department",
          "value_display_name": "Sales Department"
        }
      ],
      "memo": "<string>",
      "metadata": {
        "custom_field": "value",
        "any valid json": "below 1kb",
        "nested": {
          "meaning of life": 42,
          "array": []
        }
      },
      "reference_number": "<string>"
    }
  ],
  "payments": [
    {
      "external_id": "payment-456",
      "refunded_amount": 123,
      "refund_processing_fee": 123,
      "completed_at": "2023-11-07T05:31:56Z",
      "processor": "STRIPE",
      "payment_clearing_account_identifier": {
        "type": "AccountId",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "tags": [
        {
          "key": "department",
          "value": "sales",
          "dimension_display_name": "Department",
          "value_display_name": "Sales Department"
        }
      ],
      "memo": "<string>",
      "metadata": {
        "custom_field": "value",
        "any valid json": "below 1kb",
        "nested": {
          "meaning of life": 42,
          "array": []
        }
      },
      "reference_number": "<string>"
    }
  ],
  "tags": [
    {
      "key": "department",
      "value": "sales",
      "dimension_display_name": "Department",
      "value_display_name": "Sales Department"
    }
  ],
  "memo": "<string>",
  "metadata": {
    "custom_field": "value",
    "any valid json": "below 1kb",
    "nested": {
      "meaning of life": 42,
      "array": []
    }
  },
  "reference_number": "<string>"
}
'
{
  "data": {
    "type": "Vendor_Refund",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": "vendor-refund-123",
    "refunded_amount": 123,
    "status": "PAID",
    "completed_at": "2023-11-07T05:31:56Z",
    "allocations": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "amount": 123,
        "line_items": [
          {
            "external_id": "<string>",
            "amount": 123,
            "ledger_account": {
              "type": "Single_Chart_Account",
              "id": {
                "type": "AccountId",
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
              },
              "name": "Current Assets",
              "account_number": "4000",
              "stable_name": {
                "type": "StableName",
                "stable_name": "CURRENT_ASSETS"
              },
              "account_type": {
                "display_name": "Asset"
              },
              "account_subtype": {
                "display_name": "Current Assets"
              }
            },
            "prepayment_account": {
              "type": "Single_Chart_Account",
              "id": {
                "type": "AccountId",
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
              },
              "name": "Current Assets",
              "account_number": "4000",
              "stable_name": {
                "type": "StableName",
                "stable_name": "CURRENT_ASSETS"
              },
              "account_type": {
                "display_name": "Asset"
              },
              "account_subtype": {
                "display_name": "Current Assets"
              }
            },
            "transaction_tags": [
              {
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "key": "ExampleTagKey",
                "value": "ExampleTagValue",
                "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "dimension_display_name": "<string>",
                "value_display_name": "<string>",
                "archived_at": "2023-11-07T05:31:56Z"
              }
            ],
            "memo": "<string>",
            "metadata": {
              "custom_field": "value",
              "any valid json": "below 1kb",
              "nested": {
                "meaning of life": 42,
                "array": []
              }
            },
            "reference_number": "<string>"
          }
        ],
        "bill_external_id": "<string>",
        "bill_line_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "bill_line_item_external_id": "<string>",
        "bill_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "bill_payment_external_id": "<string>",
        "vendor": {
          "type": "VendorData",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_id": "<string>",
          "individual_name": "<string>",
          "company_name": "<string>",
          "email": "<string>",
          "mobile_phone": "<string>",
          "office_phone": "<string>",
          "address_string": "<string>",
          "memo": "<string>",
          "transaction_tags": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "key": "ExampleTagKey",
              "value": "ExampleTagValue",
              "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "dimension_display_name": "<string>",
              "value_display_name": "<string>",
              "archived_at": "2023-11-07T05:31:56Z"
            }
          ]
        },
        "transaction_tags": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "key": "ExampleTagKey",
            "value": "ExampleTagValue",
            "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "dimension_display_name": "<string>",
            "value_display_name": "<string>",
            "archived_at": "2023-11-07T05:31:56Z"
          }
        ],
        "memo": "<string>",
        "metadata": {
          "custom_field": "value",
          "any valid json": "below 1kb",
          "nested": {
            "meaning of life": 42,
            "array": []
          }
        },
        "reference_number": "<string>"
      }
    ],
    "payments": [
      {
        "type": "Vendor_Refund_Payment",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "external_id": "payment-456",
        "refunded_amount": 123,
        "refund_processing_fee": 123,
        "completed_at": "2023-11-07T05:31:56Z",
        "method": "ACH",
        "processor": "STRIPE",
        "payment_clearing_account": {
          "type": "Single_Chart_Account",
          "id": {
            "type": "AccountId",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "name": "Current Assets",
          "account_number": "4000",
          "stable_name": {
            "type": "StableName",
            "stable_name": "CURRENT_ASSETS"
          },
          "account_type": {
            "display_name": "Asset"
          },
          "account_subtype": {
            "display_name": "Current Assets"
          }
        },
        "transaction_tags": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "key": "ExampleTagKey",
            "value": "ExampleTagValue",
            "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "dimension_display_name": "<string>",
            "value_display_name": "<string>",
            "archived_at": "2023-11-07T05:31:56Z"
          }
        ],
        "memo": "<string>",
        "metadata": {
          "custom_field": "value",
          "any valid json": "below 1kb",
          "nested": {
            "meaning of life": 42,
            "array": []
          }
        },
        "reference_number": "<string>"
      }
    ],
    "transaction_tags": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "key": "ExampleTagKey",
        "value": "ExampleTagValue",
        "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "dimension_display_name": "<string>",
        "value_display_name": "<string>",
        "archived_at": "2023-11-07T05:31:56Z"
      }
    ],
    "memo": "<string>",
    "metadata": {
      "custom_field": "value",
      "any valid json": "below 1kb",
      "nested": {
        "meaning of life": 42,
        "array": []
      }
    },
    "reference_number": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string<uuid>
required

The UUID of the business to update the vendor refund for.

refundId
string<uuid>
required

The UUID of the vendor refund to update.

Body

application/json

Parameters for partially updating a vendor refund. All fields are optional. If allocations or payments are provided, they will fully replace the existing allocations or payments respectively.

external_id
string | null

An external identifier for the vendor refund transaction.

completed_at
string<date-time>

The time the vendor refund was completed.

allocations
object[]

The targets of the vendor refund. If provided, all existing allocations will be replaced with these new allocations. Each allocation specifies how much of the refund should be applied to a specific bill, line item, payment, or vendor.

payments
object[]

The payment methods and amounts used to process the vendor refund. If provided, all existing payments will be replaced with these new payments.

tags
object[]

Tags to associate with the vendor refund. If provided, all existing tags will be replaced.

memo
string | null

Memo for any text you would like to associate with the vendor refund (for example, to display to end users).

metadata
object

Arbitrary custom metadata in JSON format with a size limit of 1KB.

Example:
{
"custom_field": "value",
"any valid json": "below 1kb",
"nested": { "meaning of life": 42, "array": [] }
}
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the vendor refund. Can be used to filter when listing vendor refunds.

Response

200 - application/json

Vendor refund updated successfully.

data
object
required

A vendor refund represents a transaction where a vendor returns value to a business. A specific bill can be refunded or a general refund can be applied to a vendor.